Subject: Re: [PATCH 3/3] add: use advise_if_enabled for ADVICE_ADD_EMBEDDED_REPO

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Mar 2024 13:59:15 -0700

Rubén Justo <[email-masked]> writes:

> On Fri, Mar 29, 2024 at 12:31:30PM -0700, Junio C Hamano wrote:
>> Rubén Justo <[email-masked]> writes:
>> 
>> >> This one also needs a similar justification, but with a twist.
>> >
>> > May I ask what you would find a good justification?
>> >
>> > Perhaps "newer" -> "now preferred"?
>> 
>> That is merely shifting justification around.  You'd now need to
>> answer: Why do you consider it preferred?
>
> Because it's newer ;-D

A newer thing is not necessarily better, though.

> Maybe I'll point to the commit where advise_if_enabled() was introduced,
> b3b18d1621 (advice: revamp advise API, 2020-03-02). We have some
> arguments there.  I'll sleep on it.

I think I've already given my verison of justification in the
message you are responding to.  I'll stop spending time on this
topic while you are sleeping on it ;-)